Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class BusinessEntity

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.BusinessEntity

public class BusinessEntity
extends java.lang.Object

BusinessEntity represents information about a business or entity.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`BusinessEntity()` Class constructor.

Method Summary
`void` | `addDescription(java.lang.String value)` Adds a new description to the set of descriptions.
`java.lang.String` | `getAuthorizedName()` Gets the value of the authorized name.
`java.lang.String` | `getBusinessKey()` Gets the value of the business key.
`BusinessServices` | `getBusinessServices()` Gets the business services.
`CategoryBag` | `getCategoryBag()` Gets the category bag.
`Contacts` | `getContacts()` Gets the value of the contacts.
`java.util.Vector` | `getDescriptionVector()` Gets the set of descriptions.
`DiscoveryURLs` | `getDiscoveryURLs()` Gets the value of the discovery URL.
`IdentifierBag` | `getIdentifierBag()` Gets the identifier bag.
`Name` | `getName()` Gets the name.
`java.lang.String` | `getOperator()` Gets the value of the operator.
`void` | `setAuthorizedName(java.lang.String value)` Sets the value of the authorized name.
`void` | `setBusinessKey(java.lang.String value)` Sets the value of the business key.
`void` | `setBusinessServices(BusinessServices value)` Sets the business services.
`void` | `setCategoryBag(CategoryBag value)` Sets the category bag.
`void` | `setContacts(Contacts value)` Sets the value of the contacts.
`void` | `setDescriptionVector(java.util.Vector value)` Sets the new set of descriptions.
`void` | `setDiscoveryURLs(DiscoveryURLs value)` Sets the value of the discovery URL.
`void` | `setIdentifierBag(IdentifierBag value)` Sets the identifier bag.
`void` | `setName(Name value)` Sets the name.
`void` | `setName(java.lang.String value)` Sets the name string.
`void` | `setOperator(java.lang.String value)` Sets the value of the operator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessEntity

    public BusinessEntity()

  Class constructor.

Method Detail

### setDiscoveryURLs

    public void setDiscoveryURLs(DiscoveryURLs value)

  Sets the value of the discovery URL.

  Parameters:
    `value` - the new value of the discovery URL.

### getDiscoveryURLs

    public DiscoveryURLs getDiscoveryURLs()

  Gets the value of the discovery URL.

  Returns:
    the current value of the discovery URL.

### setName

    public void setName(java.lang.String value)

  Sets the name string.

  Parameters:
    `value` - the new name string.

### setName

    public void setName(Name value)

  Sets the name.

  Parameters:
    `value` - the new name.

### getName

    public Name getName()

  Gets the name.

  Returns:
    the current name.

### addDescription

    public void addDescription(java.lang.String value)

  Adds a new description to the set of descriptions.

  Parameters:
    `value` - the new description.

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector value)

  Sets the new set of descriptions.

  Parameters:
    `value` - the new set of descriptions.

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Gets the set of descriptions.

  Returns:
    the set of descriptions.

### setContacts

    public void setContacts(Contacts value)

  Sets the value of the contacts.

  Parameters:
    `value` - the new value of the contacts.

### getContacts

    public Contacts getContacts()

  Gets the value of the contacts.

  Returns:
    the current value of the contacts.

### setBusinessServices

    public void setBusinessServices(BusinessServices value)

  Sets the business services.

  Parameters:
    `value` - new business services.

### getBusinessServices

    public BusinessServices getBusinessServices()

  Gets the business services.

  Returns:
    current business services.

### setIdentifierBag

    public void setIdentifierBag(IdentifierBag value)

  Sets the identifier bag.

  Parameters:
    `value` - new identifier bag.

### getIdentifierBag

    public IdentifierBag getIdentifierBag()

  Gets the identifier bag.

  Returns:
    current identifier bag.

### setCategoryBag

    public void setCategoryBag(CategoryBag value)

  Sets the category bag.

  Parameters:
    `value` - new category bag.

### getCategoryBag

    public CategoryBag getCategoryBag()

  Gets the category bag.

  Returns:
    current category bag.

### setBusinessKey

    public void setBusinessKey(java.lang.String value)

  Sets the value of the business key.

  Parameters:
    `value` - the new value of the business key.

### getBusinessKey

    public java.lang.String getBusinessKey()

  Gets the value of the business key.

  Returns:
    the current value of the business key.

### setOperator

    public void setOperator(java.lang.String value)

  Sets the value of the operator.

  Parameters:
    `value` - the new value of the operator.

### getOperator

    public java.lang.String getOperator()

  Gets the value of the operator.

  Returns:
    the current value of the operator.

### setAuthorizedName

    public void setAuthorizedName(java.lang.String value)

  Sets the value of the authorized name.

  Parameters:
    `value` - the new value of the authorized name.

### getAuthorizedName

    public java.lang.String getAuthorizedName()

  Gets the value of the authorized name.

  Returns:
    the current value of the authorized name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference